[quagga-users 9863] bgpd sending v4 updates in v6 environment

Arnold Nipper arnold at nipper.de
Mon Sep 1 16:10:21 IST 2008


I've upgraded a 0.99.5 to  0.99.9. Machine is running Debian 2.6.25.8,
bgpd only.

When having upgraded bgpd started to send UPDATE Message containing ipv4
NLRI.

Config to peers looks like

 neighbor 2001:7f8::X:0:1 remote-as Y
 no neighbor 2001:7f8::X:0:1 activate
 address-family ipv6
 neighbor 2001:7f8::X:0:1 activate
 neighbor 2001:7f8::X:0:1 prefix-list pref6-customer in
 neighbor 2001:7f8::X:0:1 prefix-list martians6 out
 neighbor 2001:7f8::X:0:1 route-map noexportlast in
 neighbor 2001:7f8::X:0:1 route-map outY out
 neighbor 2001:7f8::X:0:1 filter-list as-customer in
 neighbor 2001:7f8::X:0:1 attribute-unchanged
 exit-address-family


Is this a known bug? Peers either silently ignored UPDATE messages or
dropped session with error code

 3/10 (UPDATE Message Error/Invalid Network Field) 0 bytes




TIA,
Arnold
-- 
Arnold Nipper, AN45

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 187 bytes
Desc: OpenPGP digital signature
Url : http://lists.quagga.net/pipermail/quagga-users/attachments/20080901/b71f043c/attachment.bin 


More information about the Quagga-users mailing list